
//+------------------------------------------------------------------+
//|                                        Derivative Oscillator.mq4 |
//|                                                          Maury74 |
//|                                      molinari.maurizio@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Maury74"
#property link      "molinari.maurizio@gmail.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 SteelBlue


double CMB[];
double RSI[];
double EMA1[];
double EMAA[];
double EMAB[];



int init()
  {

   IndicatorBuffers(1);
   SetIndexStyle(0,DRAW_HISTOGRAM,EMPTY,1);
   SetIndexBuffer(0,CMB);
   IndicatorShortName("CMB");
     
   return(0);
  }



int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) counted_bars=0;
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

      
   for(int i = 0 ;i <= limit ;i++)
   {
   RSI[i]  = iRSI(NULL,0,14,PRICE_CLOSE,0);
   EMA1[i] = iMAOnArray(RSI,0,5,0,MODE_EMA,i);
   EMAA[i] = iMAOnArray(EMA1,0,3,0,MODE_EMA,i);
   EMAB[i] = iMAOnArray(EMAA,0,9,0,MODE_SMA,i);
      
   CMB[i] = EMAA[i] - EMAB[i];      
   
   }

 return(0);
  }

