//+------------------------------------------------------------------+
//|                                                      FatWick.mq4 |
//|                                                  Patrick Nouvion |
//|                                    http://www.patricknouvion.com |
//+------------------------------------------------------------------+
#property copyright "Patrick Nouvion"
#property link      "http://www.patricknouvion.com"
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()   { CleanUp(); return(0); }
int deinit() { CleanUp(); return(0); }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   //---- Start   
      //---- Loop Setup
      int counted_bars=IndicatorCounted(); 
      if(counted_bars<0) { return(-1); } 
      if(counted_bars>0) { counted_bars--; }
      int Limit = Bars-counted_bars;
      
      //---- Loop
      for( int i = 0; i < Limit; i++ )
      {
         string PatName = StringConcatenate("IBFXFATWICK", i);
         //---- Create Object
         ObjectCreate( PatName, OBJ_RECTANGLE, 0, Time[i], Low[i], Time[i], High[i] );
            ObjectSet( PatName, OBJPROP_COLOR, Black );  
            ObjectSet( PatName, OBJPROP_BACK, False );  
            ObjectSet( PatName, OBJPROP_WIDTH, 5);
            ObjectSet( PatName, OBJPROP_STYLE, STYLE_SOLID ); 
      }
      
   //---- End
   return(0);
  }

//+------------------------------------------------------------------+
//|                               Clean Up                           |
//+------------------------------------------------------------------+
void CleanUp()
{
   int e = 0;
   string PatName = StringConcatenate("IBFXFATWICK", e);
   while( ObjectFind(PatName) == 0 )
   {
     ObjectDelete(PatName); 
     e++;
     PatName = StringConcatenate("IBFXFATWICK", e);
   }
}


