//+------------------------------------------------------------------+
//|                                                          HVR.mq4 |
//|                  Copyright  2006, podval, podval_2002@rambler.ru|
//|                          Copyright  2006, Conversion by Treberk |
//+------------------------------------------------------------------+

//Notes := (L. Rashke) 


#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Blue


double   SetIndexValue[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//---- indicator line
   IndicatorBuffers(1);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,SetIndexValue);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
int  shift; 
double hv6; 
double hv100; 
int len=150; 
int prevBars;
double mean6;
int i;
double mean100; 

double x6[6], x100[100]; 

  
   int    counted_bars=IndicatorCounted();
//----


if (prevBars == Bars) return(0); 
prevBars = Bars; 

//SetLoopCount(0); 

for (shift = 0; shift< Bars-1-len; shift++) {

for (i = 0; i<=5; i++) 
{ 
x6[i] = MathLog(Close[shift+i]/Close[shift+i+1]); 
} 

for (i = 0; i<=99; i++) 
{ 
x100[i] = MathLog(Close[shift+i]/Close[shift+i+1]); 
} 

mean6 = 0; 
for (i = 0; i<=5; i++) 
{ 
mean6 = mean6 + x6[i]; 
} 
mean6 = mean6/6; 

mean100 = 0; 
for (i = 0; i<=99; i++)
{ 
mean100 = mean100 + x100[i]; 
} 
mean100 = mean100/100; 

hv6 = 0; 
for (i = 0; i<=5; i++)
{ 
hv6 = hv6 + (x6[i] - mean6)*(x6[i] - mean6); 
} 
hv6 = MathSqrt(hv6/5)*7.211102550927978586238442534941; 

hv100 = 0; 
for (i = 0; i<=99; i++) 
{ 
hv100 = hv100 + (x100[i] - mean100)*(x100[i] - mean100); 
} 
hv100 = MathSqrt(hv100/99)*7.211102550927978586238442534941; 


SetIndexValue[shift]=hv6/hv100; 

}
//----
   return(0);
  }
//+------------------------------------------------------------------+