//+------------------------------------------------------------------+
//|                                                        Cross.mq4 |
//+------------------------------------------------------------------+
#property copyright "Milan Volf"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Red

//---- buffers
double Cross[],Price[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Cross);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,Price);
   SetIndexLabel(1,"Price");

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int i,limit,counted_bars=IndicatorCounted();
   string USDU,USDD;
   if(AccountCompany()=="Interbank FX, LLC"){
      if(Symbol()=="GBPJPYm") USDD="GBPUSDm";
      if(Symbol()=="EURJPYm") USDD="EURUSDm";
      USDU="USDJPYm";
   }
   else{
      if(Symbol()=="GBPJPY") USDD="GBPUSD";
      if(Symbol()=="EURJPY") USDD="EURUSD";
      USDU="USDJPY";
   }
   limit=Bars-counted_bars;  
   for(i=limit;i>=0;i--){  
      Cross[i]=iClose(USDD,0,i)*iClose(USDU,0,i);
      Price[i]=iClose(NULL,0,i);
   }   
   IndicatorShortName(Cross);
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+