/*
Formula according to MetaStock:
http://trader.online.pl/MSZ/e-w-Kase_DevStop.html

AVTR:=Mov(HHV(H,2) - LLV(L,2),20, S);
SD:=Stdev(HHV(H,2) - LLV(L,2),20);
HHV(H-AVTR-3.6*SD, 20);
HHV(H-AVTR-2.2*SD,20);
HHV(H-AVTR-SD,20);
HHV(H-AVTR,20);
*/
#property  indicator_chart_window
#property  indicator_buffers 4
#property  indicator_color1  Red
#property  indicator_color2  Yellow
#property  indicator_color3  DeepPink
#property  indicator_color4  Violet
//
double dATR[40], dAveATR[20], dSD[20];
double d1, d2, d3, d4, d5, d6, d7, d8;
int i,j;
int iDigits;
//
double     ind_buffer1[];
double     ind_buffer2[];
double     ind_buffer3[];
double     ind_buffer4[];
//-----------------------
int init() {
   SetIndexStyle(0,DRAW_LINE,EMPTY,2);
   SetIndexBuffer(0,ind_buffer1);
   SetIndexStyle(1,DRAW_LINE,EMPTY,2);
   SetIndexBuffer(1,ind_buffer2);
   SetIndexStyle(2,DRAW_LINE,EMPTY,2);
   SetIndexBuffer(2,ind_buffer3);
   SetIndexStyle(3,DRAW_LINE,EMPTY,2);
   SetIndexBuffer(3,ind_buffer4);

   iDigits = MarketInfo(Symbol(),MODE_DIGITS);
   IndicatorDigits(iDigits);
   IndicatorShortName("DevStop");
   return(0);
   }

int start() {
IndicatorShortName("DevStop");
     
for( j = 100; j >= 0; j--) {
   for( i = 40; i > 0; i--) { 
      dATR[i] = High[iHighest(NULL, 0, MODE_HIGH, 2, j+i)] - Low[iLowest(NULL, 0, MODE_LOW, 2, j+i)];
   }
   for( i = 20; i > 0; i--) { 
      dAveATR[i] = iMAOnArray( dATR, 40, 20, 0, MODE_SMA, i);
      dSD[i] = iStdDevOnArray( dATR, 40, 20, 0, MODE_SMA, i);
   }
   d1 = 0; d2 = 0; d3 = 0; d4 = 0;
   d5 = 9999; d6 = 9999; d7 = 9999; d8 = 9999;
   for( i = 20; i > 0; i--) { 
      //      d1 = MathMax( High[j+i] - dAveATR[i] - 3.6 * dSD[i], d1);
      d2 = MathMax( High[j+i] - dAveATR[i] - 2.2 * dSD[i], d2);
      d3 = MathMax( High[j+i] - dAveATR[i] - dSD[i], d3);
      //      d4 = MathMax( High[j+i] - dAveATR[i], d4);
      //      d5 = MathMax( High[j+i] - dAveATR[i] - 3.6 * dSD[i], d5);
      d6 = MathMin( Low[j+i] + dAveATR[i] + 2.2 * dSD[i], d6);
      d7 = MathMin( Low[j+i] + dAveATR[i] + dSD[i], d7);
      //      d8 = MathMax( High[j+i] - dAveATR[i], d8);
   }   
   if( Low[0] > d2) {
      ind_buffer1[j] = d2;
      ind_buffer2[j] = d3;
   }
   if( High[0] < d6) {
      ind_buffer3[j] = d6;
      ind_buffer4[j] = d7;
   }
   // Comment( DoubleToStr(d2,iDigits) + " "+ DoubleToStr(d3,iDigits) + " "+ DoubleToStr(d6,iDigits) + " "+ DoubleToStr(d7,iDigits));
}
return(0);
}