//+------------------------------------------------------------------+
//|                                              high_plot_v0.2c.mq4 |
//|                               http://www.forex-tsd.com/ friends  |
//+------------------------------------------------------------------+


#property copyright "Sadly"
#property link      "http://www.forex-tsd.com/"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 DarkGreen
//---- buffers
double ExtMapBuffer1[], ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_HISTOGRAM,0,3);
   SetIndexStyle(1,DRAW_HISTOGRAM,0,3);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
   
   string short_name = "High plot";
   IndicatorShortName(short_name);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   

   
   int counted_bars=IndicatorCounted();
//---- check for possible errors 
   if (counted_bars<0) return(-1); 
//---- last counted bar will be recounted 
   if (counted_bars>0) counted_bars--; 
       
   double current_bar_high, previous_bar_high, old_result, new_result;
   
   int pos=Bars-counted_bars; 
   
   SetIndexDrawBegin(0,pos);
   SetIndexDrawBegin(1,pos);

   Comment("High plot v0.2c");
 
//---- main calculation loop 
   while(pos>=0) 
     { 
      

         current_bar_high = High[pos]; previous_bar_high = High[pos+1];
         
         new_result = current_bar_high - previous_bar_high;
         
         if(new_result > old_result)
            {
            ExtMapBuffer1[pos] = new_result;
            }
         else
            {
            ExtMapBuffer2[pos] = new_result;
            }
            
         old_result = new_result;
         
         pos--; 
     } 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+